from PyQt5 import QtCore, QtGui, QtWidgets, QtMultimedia

app = QtWidgets.QApplication([])

class MyWidget(QtWidgets.QWidget):
    def __init__(self):
        super().__init__()
        self.label = QtWidgets.QLCDNumber(3)
        self.edit = QtWidgets.QLineEdit()
        self.button = QtWidgets.QPushButton("start")
        self.button2 = QtWidgets.QPushButton("stop")

        self.layout = QtWidgets.QHBoxLayout()
        self.layout.addWidget(self.label)
        self.layout.addWidget(self.edit)
        self.layout.addWidget(self.button)
        self.layout.addWidget(self.button2)

        self.setLayout(self.layout)

        self.timer = QtCore.QTimer()
        self.timer.timeout.connect(self.tick)
        self.timer.setInterval(1000)

        self.button.pressed.connect(self.buttonPressed)
        self.button2.pressed.connect(self.stopButtonPressed)

    def buttonPressed(self):
        self.timeleft = int(self.edit.text())
        self.timer.start()


    def stopButtonPressed(self):
        self.timer.stop()

    def tick(self):
        print("tick")
        self.timeleft -= 1
        self.label.display(str(self.timeleft))

        if self.timeleft == 0:
            self.sound = QtMultimedia.QSound("ALARM.WAV")
            self.sound.play()
            self.timer.stop()


w = MyWidget()
w.show()

app.exec()